<div class="container">
  <mat-toolbar>
      <span>SISTEMA DE BIBLIOTECA-</span><div style="font-size: 15px">NOTICIAS</div> 
      <div class="example-spacer"></div>
  </mat-toolbar>
  <!-- Especificamos que se note la tabla si es mayor a 0 si no que no se vea -->
  <div *ngIf="listNoticia.length > 0">
      <div class="Tablas"> 
           <!-- Libreria de angula para buscar -->
          <mat-form-field>
              <mat-label>Buscador</mat-label>
              <input matInput (keyup)="applyFilter($event)" placeholder="Buscar noticia" #input>
          </mat-form-field>
          <div class="mat-elevation-z8">
              <table mat-table [dataSource]="dataSource" class="mat-elevation-z21">
                <!-- Columna de nombre -->
                <ng-container matColumnDef="nombre">
                  <th mat-cell *matHeaderCellDef> Nombre </th>
                  <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
                </ng-container>
              
                <!-- Columna de apellido -->
                <ng-container matColumnDef="descripcion">
                  <th mat-cell *matHeaderCellDef> descripcion </th>
                  <td mat-cell *matCellDef="let element"> {{element.descripcion}} </td>
                </ng-container>
              
                <!-- Columna de telefonos -->
                <ng-container matColumnDef="correo">
                  <th mat-cell *matHeaderCellDef> Correo </th>
                  <td mat-cell *matCellDef="let element"> {{element.correo}} </td>
                </ng-container>
  
                <!-- Columna de Roles-->
                <ng-container matColumnDef="fecha">
                    <th mat-cell *matHeaderCellDef>Fecha enviada</th>
                    <td mat-cell *matCellDef="let element"> {{element.fecha}} </td>
                </ng-container>
                <!-- Columna de logo eliminar, editar y buscar -->
                <ng-container matColumnDef="acciones">
                    <th mat-cell *matHeaderCellDef></th>
                    <td mat-cell *matCellDef="let element; let i = index" style="text-align:right;">
                        <a class="pointer" (click)="eliminarNoticia(i)" style="color:red ;" matTooltip="Eliminar"><mat-icon>delete</mat-icon></a>
                    </td>
                </ng-container>
                 <!-- Libreria de angular que da colmuna ordena -->
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
              <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
          </div>
      </div>
    </div>
     <!-- Si la comluna esta vacia mostrar -->
    <h2 *ngIf="listNoticia.length == 0">No hay registro para mostrar en tabla</h2>
</div>